%global momorel 6

Summary: PDF rendering library
Name: poppler

Version: 0.5.4
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Libraries
URL: http://poppler.freedesktop.org/

Source0: http://poppler.freedesktop.org/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: poppler-0.5.4-MOAB-06-01-2007.patch
Patch1: poppler-0.5.4-CVE-2007-3387.patch
Patch2: poppler-0.5.4-CVE-2007-4352.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: zlib-devel
BuildRequires: freetype-devel >= 2.1.10
BuildRequires: fontconfig-devel >= 2.2.3
BuildRequires: cairo-devel >= 1.2.4
BuildRequires: gtk+-devel >= 2.10.6
BuildRequires: libglade-devel >= 2.6.0
BuildRequires: qt-devel, qt4-devel

%description
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg
of Glyph and Cog, LLC.  The purpose of forking xpdf is twofold.
First, we want to provide PDF rendering functionality as a shared
library, to centralize the maintenence effort.  Today a number of
applications incorporate the xpdf code base, and whenever a security
issue is discovered, all these applications exchange patches and put
out new releases.  In turn, all distributions must package and release
new version of these xpdf based viewers.  It's safe to say that
there's a lot of duplicated effort with the current situaion.  Even if
poppler in the short term introduces yet another xpdf derived code
base to the world, we hope that over time these applications will
adopt poppler.  After all, we only need one application to use poppler
to break even.

%package devel
Summary: poppler-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: zlib-devel
%description devel
poppler-devel

%prep
%setup -q

%patch0 -p1 -b .MOAB-06-01-2007
%patch1 -p1 -b .CVE-2007-3387
%patch2 -p1 -b .CVE-2007-4352

%build
%configure \
    --enable-gtk-doc \
    --enable-xpdf-headers
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README README-XPDF TODO
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_bindir}/*

%files devel
%defattr(-, root, root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/poppler
%{_datadir}/gtk-doc/html/poppler

%changelog
* Fri Nov  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.4-6m)
- [SECURITY] CVE-2007-4352 CVE-2007-5392 CVE-2007-5393
- import security patch from RHEL5

* Tue Jul 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.4-5m)
- [SECURITY] CVE-2007-3387
- apply security patch (poppler-0.5.4-CVE-2007-3387.patch)

* Sun Apr 22 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.4-4m)
- BuildRequires: qt-devel, qt4-devel

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4-3m)
- BuildPreReq: freetype2-devel -> freetype-devel

* Mon Jan 22 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.4-2m)
- [SECURITY] MOAB-06-01-2007
- Multiple Vendor PDF Document Catalog Handling Vulnerability

* Tue Oct 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.4-1m)
- update to 0.5.4

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-3m)
- delete libtool library

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.5.3-2m)
- rebuild against expat-2.0.0-1m

* Thu Jun  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-1m)
- update to 0.5.3

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.1-1m)
- update to 0.5.1

* Sat Feb 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-2m)
- enable xpdf header

* Fri Feb 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-1m)
- update to Beta version

* Sun Feb 12 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.4.5-1m)
- [SECURITY] CVE-2006-0301
- update to 0.4.5

* Wed Feb  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.4-1m)
- update to 0.4.4
-- Security update; CVE-2005-3624, CVE-2005-3625, CVE-2005-3627.
-- Fix KDE bug #119569, endless loop in jpeg decoder.
- add patch1 CharCodeToUnicode
-- http://lists.freedesktop.org/archives/poppler/2005-July/000660.html
- delete *.la file (for libtool)

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.2-3m)
- add gcc-4.1 patch
- Patch0: poppler-0.4.2-gcc41.patch

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-2m)
- delete autoreconf and make check

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-1m)
- start
